Bug 1134566 - pungi/lorax: failed to open magic file: could not find any valid magic files
Summary: pungi/lorax: failed to open magic file: could not find any valid magic files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 21
Hardware: ppc64le
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker 1136535
TreeView+ depends on / blocked
 
Reported: 2014-08-27 19:42 UTC by Mark Hamzy
Modified: 2014-11-20 20:07 UTC (History)
5 users (show)

(edit)
Clone Of:
: 1136535 (view as bug list)
(edit)
Last Closed: 2014-11-20 20:07:25 UTC


Attachments (Terms of Use)
proposed pungi patch (861 bytes, patch)
2014-08-27 21:20 UTC, Mark Hamzy
no flags Details | Diff
proposed lorax patch (4.26 KB, patch)
2014-08-27 21:20 UTC, Mark Hamzy
no flags Details | Diff
updated proposed pungi patch (873 bytes, patch)
2014-09-02 19:10 UTC, Mark Hamzy
no flags Details | Diff

Description Mark Hamzy 2014-08-27 19:42:31 UTC
Running pungi to build a ppc64le iso encounters the following problem:

Pungi:INFO: Running /usr/bin/mkisofs -v -U -J -R -T -m repoview -m boot.iso -part -hfs -r -l -sysid PPC -no-desktop -allow-multidot -chrp-boot -map /usr/share/lorax/config_files/ppc/mapping -magic /usr/share/lorax/config_files/ppc/magic -hfs-bless /root/composes/20140827/ppc64le/os/ppc/mac -V Fedora-20140827-ppc64le -o /root/composes/20140827/ppc64le/iso/Fedora-DVD-ppc64le-20140827.iso /root/composes/20140827/ppc64le/os
Pungi:ERROR: Got an error from /usr/bin/mkisofs
Pungi:ERROR: Warning: creating filesystem that does not conform to ISO-9660.
/usr/share/lorax/config_files/ppc/magic, 20: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/lorax/config_files/ppc/magic, 21: Warning: Printf format `h' is not valid for type `leshort' in description `%hd,'
failed to open magic file: could not find any valid magic files!

Traceback (most recent call last):
  File "/usr/bin/pungi", line 294, in <module>
    main()
  File "/usr/bin/pungi", line 174, in main
    mypungi.doCreateIsos()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 1648, in doCreateIsos
    pypungi.util._doRunCommand(mkisofs + extraargs, self.logger)
  File "/usr/lib/python2.7/site-packages/pypungi/util.py", line 36, in _doRunCommand
    raise OSError, "Got an error from %s: %s" % (command[0], err)
OSError: Got an error from /usr/bin/mkisofs: Warning: creating filesystem that does not conform to ISO-9660.
/usr/share/lorax/config_files/ppc/magic, 20: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/lorax/config_files/ppc/magic, 21: Warning: Printf format `h' is not valid for type `leshort' in description `%hd,'
failed to open magic file: could not find any valid magic files!


Removing the h from the two printf formats for the GIF file format fixes the problem.

Also,

[root@localhost ~]# rpm -qf /usr/share/magic
file-libs-5.19-4.fc21.ppc64le

does not have these printf formats.

Comment 1 Mark Hamzy 2014-08-27 21:20:13 UTC
Created attachment 931687 [details]
proposed pungi patch

Comment 2 Mark Hamzy 2014-08-27 21:20:47 UTC
Created attachment 931688 [details]
proposed lorax patch

Comment 3 Dan Horák 2014-08-28 10:59:06 UTC
seems the primary source of the magic and mapping file in lorax is cdrkit (genisoimage)

Comment 4 Mark Hamzy 2014-09-02 19:10:19 UTC
Created attachment 933899 [details]
updated proposed pungi patch

Comment 5 Adam Williamson 2014-09-10 18:01:09 UTC
Proposing as an Alpha freeze exception, as this is blocking compose of PPC images - not a blocker as PPC is secondary arch, but obviously it's inconvenient for PPC folks and we'd like them to be able to get their Alpha out as promptly as possible.

Comment 6 Adam Williamson 2014-09-10 18:34:42 UTC
Discussed at 2014-09-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Accepted as a freeze exception issue: PPC is a secondary arch so this is not release blocking, but the patches only touch PPC code paths and it would be nice to unblock the PPC compose process so PPC folks can work on the Alpha. Note https://bugzilla.redhat.com/show_bug.cgi?id=1136535 is a matching bug to track the pungi issue, it is also accepted as a freeze exception with the same rationale.

Comment 7 Gustavo Luiz Duarte 2014-09-10 19:51:40 UTC
According to bcl: the lorax one shouldn't block. It is purely a cleanup.

We still need the pungi fix though (bug 1136535).

I'm removing this one from the alpha blocking list.

Comment 8 Adam Williamson 2014-09-10 23:53:57 UTC
Dropping from FE list, too, then.


Note You need to log in before you can comment on or make changes to this bug.